EDIT - bug #6668

NPE in DetailsView when deleting a type specimen
05/22/2017 01:41 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major Found in Version: Release 4.8
Description

1. Create a type specimen for a taxon
2. Delete the specimen in the specimen hierarchy editor
3. switch back to the taxon name editor This even happens after a reconnect

login : admin
editor version : 4.8.0.qualifier
server : localhost (localhost-dev)
schema version : 4.1.0.0.201607300000
os : Linux 4.4.0-53-generic amd6c4
java : 1.8.0_121
java.lang.NullPointerException: CDM Entity of type eu.etaxonomy.cdm.model.occurrence.DerivedUnit w
ith id 31 is null.
at eu.etaxonomy.taxeditor.service.CachedCommonServiceImpl.find(CachedCommonServiceImpl. java:47

at org.hibernate.proxy.AbstractLazyInitializer.remoteInitialize (AbstractLazyInitializer. java:4
51)

at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:167)

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractLazyInitializer. java:
297)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer

.java:68)
at eu.etaxonomy.cdm.model.occurrence.DerivedUnit_$$_jvstScb_c.equals (DerivedUnit_$$_jvstbScb_c.
java)

at eu.etaxonomy.taxeditor.ui.element.SelectionArbitrator.selectionChanged(SelectionArbitrator.
java:149)

at org.eclipse.jface.viewers.Viewer$l.run (Viewer. java:158)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.viewers.Viewer.fireSelectionChanged (Viewer.java:155)

at eu.etaxonomy.taxeditor.view.detail.DetailsViewer.setSelection (DetailsViewer. java:356)

at org.eclipse.jface.viewers.Viewer.setSelection (Viewer.java:383)

at eu.etaxonomy.taxeditor.view.AbstractCdmDataViewer.setInput (AbstractCdmDataViewer.java:108)

at eu.etaxonomy.taxeditor.view.detail.DetailsViewer.setInput (DetailsViewer. java:161)

at eu.etaxonomy.taxeditor.view.AbstractCdmViewPart.showViewer (AbstractCdmViewPart.java:118)

at eu.etaxonomy.taxeditor.view.detail.DetailsViewPart.selectionChanged_internal (DetailsViewPar
t.java:95)

at eu.etaxonomy.taxeditor.view.AbstractCdmEditorViewPart$DelaySelection.run (AbstractCdmEditorV
iewPart.java:52)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4536)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:4154)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at org.eclipse.jface.dialogs.ErrorDialog.open (ErrorDialog. java:346)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:279)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4536)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
Related issues:

Copied to EDIT - feature request #7301: Refresh open name editors when deleti... Worksforme

Associated revisions

Revision 159247e6 - 03/02/2018 08:53 AM - Patrick Plitzner

ref #6668 Update taxon name editor when deleting the type specimen

Revision a797ba42 - 03/02/2018 09:23 AM - Patrick Plitzner

ref #6668 Evaluate update based on existence of type designation match

Revision bd1626d9 - 03/02/2018 09:39 AM - Patrick Plitzner

ref #6668 Include deleted derivatives recursively into DeleteResult

Revision c9d662a3 - 03/02/2018 12:03 PM - Patrick Plitzner

ref #6668 Remove unused method parameter

History

#1 - 05/29/2017 02:12 PM - Andreas Miuller

- Priority changed from New to Highest
- Target version changed from Unassigned CDM tickets to Release 4.8

#2 - 05/29/2017 02:13 PM - Andreas Miiller

- Found in Version set to Release 4.8

#3 - 06/21/2017 11:51 AM - Katja Luther

| can't reproduce it in this way. If the type specimen is deleted in specimen editor and the name editor is already open, the name editor is not
refreshed and the type designation is still there. But if you close the name editor and reopen it, the type designation is gone and no exception.
when clicking on the edit-button of the specimen following exception appears:

'ENTRY org.eclipse.ui 4 0 2017-06-21 11:49:04.669
!MESSAGE This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Details' button).
ISTACK O
java.lang.Exception: login : admin
editor version : 4.8.0.qualifier
server : localhost (localhost-dev)
schema version : 4.7.0.0.201710040000
os : Windows 7 6.1 amdé4
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.selection.EditFromSelectionWizard.addPages (EditFromSelectionWizard. java:101)
at org.eclipse.jface.wizard.WizardDialog.createContents (WizardDialog. java:585)
at org.eclipse.jface.window.Window.create (Window. java:426)
at org.eclipse.jface.dialogs.Dialog.create (Dialog. java:1095)
at org.eclipse. jface.window.Window.open (Window. java:783)
at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected (EntitySelectionE
lement. java:434)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.e4d4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench.java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application.java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main.java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:286)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)
#4 - 07/07/2017 10:08 AM - Patrick Plitzner

- Target version changed from Release 4.8 to Release 4.9

#5 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/24/2017 01:05 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#7 - 11/08/2017 11:22 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#8 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#9 - 01/31/2018 12:29 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#10 - 02/15/2018 03:26 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#11 - 03/02/2018 09:40 AM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 50

#12 - 03/02/2018 12:30 PM - Katja Luther

- Status changed from Resolved to Closed

it works, but we have to refresh the name editor otherwise the NPE of note-3 appears. Maybe we should open a new ticket, because this is a refresh
problem. see #7301

#13 - 03/02/2018 12:31 PM - Katja Luther

- Copied to feature request #7301: Refresh open name editors when deleting specimen used in type designation added

#14 - 03/06/2018 09:56 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

Katja Luther wrote:

it works, but we have to refresh the name editor otherwise the NPE of note-3 appears. Maybe we should open a new ticket, because this is a
refresh problem. see #7301

sorry, it works. Maybe my workspace was not updated.
